/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package web;

import ejb.Users;
import ejb.UsersFacade;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author sinem
 */
@WebServlet(name="UpdateUserTypes", urlPatterns={"/UpdateUserTypes"})
public class UpdateUserTypes extends HttpServlet {
    @EJB
    private UsersFacade usersFacade;

    
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");

        List<Users> userList = usersFacade.findAll();

        PrintWriter out = response.getWriter();
        try {
            out.println("<html>");
            out.println("<head>");
            out.println("<link href=\"design/css/updateusertypes.css\" type=\"text/css\" rel=\"stylesheet\" />");
            out.println("<title>UpdateUserTypes</title>");  
            out.println("</head>");
            out.println("<body>");
            try {
            for(int i=0; i<userList.size(); i++) {
                String id = request.getParameter(userList.get(i).getId().toString());
                if(id!=null) {
                    Users u = usersFacade.find(Long.parseLong(id));
                    String typeid=request.getParameter("type"+id).toString();
                    u.setType(Integer.parseInt(typeid));
                    usersFacade.edit(u);
                }
            
            }
            out.println("<table id=\"success\"><tr>");
            out.println("<td><img src=\"design/Pictures/info.png\" /></td>");
            out.println("<td align=\"center\" id=\"rightcell\">User types are edited successfully</td>"); }
            catch(Exception e) {
                out.println("<td align=\"center\" id=\"rightcell\">User types could not be edited successfully because of the problem: </br>"+e.getMessage()+"</td></tr></table>");
            }
            out.println("<a href=\"ListNews\"><img id=\"home\" src=\"design/Pictures/home.png\"></a>");
            
            out.println("</body>");
            out.println("</html>");
        } finally {
            out.println("<a href=\"ListNews\"><img id=\"home\" src=\"design/Pictures/home.png\"></a>");
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
